<?php
if(!defined("DRSTATS"))
    die('No access');

class View{
    static private $menuItems = array();

    static public function addMenuItem($label, $view, $main = 0){
        array_push(View::$menuItems, array($label, $view, $main));
    }

    public function __construct($view){
        $view = ucfirst($view);
        ob_start();
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title><?php echo __('SITE TITLE');?></title>
        <link rel="stylesheet" type="text/css" href="css/style.css">
    </head>
    <body>
        <div id="container">
            <div id="header">
                <img src="images/header3.jpg" alt="logo">
                <h1><?php
                        require("titles/titles.php");
                        Titles::getTitle($view); ?></h1>
            </div>
            <div id="menubar">
                <ul class="verticalList">
                    <?php
                        foreach(View::$menuItems as $menuItem){
                            if($menuItem[2])
                                printf("<li><a href=\"index.php\">%s</a></li>", $menuItem[0]);
                            else{
                                if(0 === strpos($menuItem[1], "http")){
                                    printf("<li><a href=\"%s\">%s</a></li>",
                                        $menuItem[1], $menuItem[0]);
                                   
                                }else{
                                     printf("<li><a href=\"index.php?page=%s\">%s</a></li>",
                                        $menuItem[1], $menuItem[0]);
                                }
                           }
                        }
                    ?>
                </ul>
            </div>
            <div id="content">
                <div id="content_in">
                <?php if(!empty($view)) require("views/view{$view}.php");?>
                </div>
            </div>
        </div>
    </body>
</html>
<?php
    ob_end_flush();
    }

};
?>