<?php
    if(!defined("DRSTATS"))
        die('No access');

    $model = Page::getModel('BestPlayers');
    $data = $model->getData();

?>
<div class="doublepage">
    <h2><?php echo __('RECORDS');?></h2>
<table class="top" style="width:100%" border="1" cellspacing="0" cellpadding="3">
    <thead>
        <tr>
            <th><?php echo __('PLAYER');?></th>
            <th><?php echo __('RECORDS NUM');?></th>
        </tr>
    </thead>
    <tbody>
    <?php
        foreach($data as $player){
             printf("<tr><td>%s%s</td><td>%d</td></tr>\n",
                     helperFlags::getImage($player['nationality']),
                     $player['nickname'], $player['records']);
        }
    ?>
    </tbody>
</table>
</div>

<?php
$data = $model->getData2();
?>
<div class="doublepage" style="float:right">
    <h2><?php echo L12N::get('LONGEST PLAY');?></h2>
<table class="top" style="width:100%" border="1" cellspacing="0" cellpadding="3">
    <thead>
        <tr>
            <th><?php echo __('PLAYER');?></th>
            <th><?php echo __('PLAY TIME');?></th>
        </tr>
    </thead>
    <tbody>
    <?php
        $ptime;
        foreach($data as $player){
            $ptime = $player['result'];
            if($ptime < 3600)
                $ptime = sprintf("%d %s", $ptime/60,  __('MINUTES'));
            else
                $ptime = sprintf("%d %s, %d %s", $ptime/3600, __('HOURS'), $ptime%3600/60, __('MINUTES'));
            
            printf("<tr><td>%s%s</td><td>%s</td></tr>\n",
                    helperFlags::getImage($player['nationality']),
                    $player['nickname'], $ptime);
        }
    ?>
    </tbody>
</table>
    </div>
