<?php
    if(!defined("DRSTATS"))
        die('No access');

    $model = Page::getModel('Top');
    $data = $model->getData();

    function getFormatedTime($iTime){
	return sprintf("%d:%02d.%03ds", floor($iTime/60000), floor($iTime/1000)%60, $iTime%1000);
    }

    if(!is_array($data))
          printf("<h1>%s</h1>", __('NO RECORDS'));
    else{
?>
<table class="top" border="1" cellspacing="0" cellpadding="3">
    <thead>
        <tr>
            <th><?php echo __('POS'); ?></th>
            <th><?php echo __('PLAYER'); ?></th>
            <th><?php echo __('DATE'); ?></th>
            <th><?php echo __('TIME'); ?></th>
            <th style="width:100px;">&nbsp;</th>
        </tr>
    </thead>
    <tbody>
<?php
   $i = 1;
   $firstTime;
   $image;
   foreach($data as $player){
       $image = helperFlags::getImage($player['nationality']);

       printf("<tr><td>%d</td><td>%s%s</td><td>%s</td><td>%s</td>", $i, $image,
               $player['nickname'],
               $player['recorddate'] == NULL ?"b.d.":strtok($player['recorddate'], ' '),
               getFormatedTime($player['besttime']));
       if($i == 1){
           $firstTime = $player['besttime'];
           printf("<td>&nbsp;</td>");
       }
       else{
           printf("<td>+%s</td>", getFormatedTime($player['besttime']-$firstTime));
       }
       printf("</tr>\n");
       $i++;
   }

   }
?>
    </tbody>
</table>