<?php
if(!defined("DRSTATS"))
    die('No access');

    $model = Page::getModel('Maps');
    $data = $model->getData();

    function getFormatedTime($iTime){
	return sprintf("%d:%02d.%03ds", floor($iTime/60000), floor($iTime/1000)%60, $iTime%1000);
    }

    if(!is_array($data))
          printf("<h1>%s</h1>", __('NO MAPS'));
    else{
?>
<h1><?php echo __('CHOOSE MAP'); ?></h1>


<table class="top" style="width:100%" border="1" cellspacing="0" cellpadding="3">
    <thead>
        <tr>
            <td><?php echo __('NUM'); ?></td>
            <td><?php echo __('MAP NAME'); ?></td>
            <td><?php echo __('BEST TIME'); ?></td>
            <td><?php echo __('DATE'); ?></td>
            <td><?php echo __('RECORD OWNER'); ?></td>
        </tr>
    </thead>
    <tbody>
<?php
        $i = 1;
        foreach($data as $map){
            echo "<tr>";
            printf("<td class=\"lp\">%d</td>", $i++);
            printf("<td class=\"mapname\"><a href=\"index.php?mid=%d\">%s</a></td>", $map['mid'], $map['mapname']);
            printf("<td class=\"besttime\">%s</td>", getFormatedTime($map['record']));
            printf("<td class=\"recorddate\">%s</td>", $map['recorddate'] == NULL ?"b.d.":strtok($map['recorddate'], ' '));;
            printf("<td class=\"player\">%s%s</td>", helperFlags::getImage($map['nationality']), $map['nickname']);
            echo "</tr>\n";
        }
    }
?>
    </tbody>
</table>
